#yith-wcwl-form, .entry-content {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.yith-wcwl-share, .entry-footer, .wishlist-title-container {
    display: flex;
    justify-content: flex-start;
    flex-direction: row;
    align-items: center;
    align-self: start;
}

.yith-wcwl-form {
    width: var(--tamano-contenedores);
    padding: 20px 0;
}
.contenedor-wishlist h1 {
    font-size: 20px;
    font-weight: 400;
    z-index: 0 !important;
}

.wishlist-grid-container {
    display: flex;
    gap: 20px;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}
.productos-wishlist {
    columns: 5;
    column-gap: 10px;
    padding: 10px;
    background-color: white;
    border-radius: 20px;
    width: 100%;
}
.productos-wishlist .producto-moto {
    margin-bottom: 10px;
}

.wishlist-empty-message {
    text-align: center;
    padding: 50px 20px;
    border-radius: 10px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 20px;
    background-color: white;
    width: 100%;
    border-radius: 20px;
}
.wishlist-empty-message .icon-heart {
    width: 50px;
    height: 50px;
}
.wishlist-empty-message-2 {
    width: 100%;
    padding: 40px 20px;
    background-color: #ffffff85;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}
.wishlist-empty-message-2 ul {
    list-style-type: circle !important;
    padding: 0 0 0 20px;
    font-size: var(--tamaño--secundario);
    font-weight: 500;
}

.wishlist-pagination {
    text-align: center;
    margin-top: 30px;
}

/* Estilo para el botón de eliminar de favoritos */
.wishlist-grid-container .producto-moto .columnas-principal .yith-wcwl-add-to-wishlist {
    position: absolute;
    top: -5px;
    right: 10px;
    margin: 0;
    padding: 0px !important;
}
.remove_from_wishlist {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: 32px;
    height: 32px;
    background: #f5f5f5;
    border-radius: 50%;
    font-size: 20px;
    font-weight: bold;
    color: #999;
    text-decoration: none;
    transition: all 0.3s ease;
}
.yith-wcwl-add-to-wishlist a.button:not(.theme-button-style) {
    padding: 10px 0 0 0 !important;
    background-color: white !important;
    border-radius: 0 0 50px 50px !important;
    display: flex;
    font-size: 24px !important;
    font-weight: 400 !important;
    color: black !important;
}

.remove_from_wishlist:hover {
    background: #ff6b35;
    color: white;
}

@media(max-width:1160px) {
    .productos-wishlist {
        columns: 4;
    }
}
@media(max-width:930px) {
    .productos-wishlist {
        columns: 3;
    }
}
@media(max-width:700px) {
    .productos-wishlist {
        columns: 2;
    }
    .yith-wcwl-add-to-wishlist a.button:not(.theme-button-style) {
        padding: 5px 0 0 0 !important;
    }
    .wishlist-grid-container .producto-moto .columnas-principal .yith-wcwl-add-to-wishlist{
        right: 5px;
    }
    .wishlist-empty-message, .wishlist-empty-message-2 {
        padding: 40px 20px;
        box-sizing: border-box;
    }
}
